#include "xanimnotifyinfo.h"

XAnimNotifyInfo::XAnimNotifyInfo()
    : XAsset()
    , mName(0)
    , mTime(0.0f)
{

}

XAnimNotifyInfo::~XAnimNotifyInfo()
{

}

void XAnimNotifyInfo::ParseData(QDataStream *aStream) {
    if (GetPtr() == -1) {
        *aStream
            >> mName
            >> mTime;
    }
}

void XAnimNotifyInfo::Clear()
{
    mName = 0;
    mTime = 0.0f;
}

quint32 XAnimNotifyInfo::GetName() const {
    return mName;
}

void XAnimNotifyInfo::SetName(quint32 name) {
    mName = name;
}

float XAnimNotifyInfo::GetTime() const {
    return mTime;
}

void XAnimNotifyInfo::SetTime(float time) {
    mTime = time;
}
